# Remove-RASSchedule.md

## NAME

Remove-RASSchedule

## SYNOPSIS

Removes a Schedule.

## SYNTAX

**Remove-RASSchedule** \[[Id](#id-string)] *(uint)* -[ObjType](#objtype) {RDS | VDI | AVD} \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASSchedule \[-[InputObject](#inputobject)] *(*[*Schedule*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/schedule.md)*)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Remove-RASSchedule** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[ObjType](#objtype) {RDS | VDI | AVD} \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes a Schedule property.

## PARAMETERS

## SiteId (uint)

Site ID from which to delete the schedule job.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

Scheduler job ID.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Name (string)

Scheduler job name.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjType ([ScheduleObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/scheduleobjtype.md))

Schedule object type.

Possible values: RDS, VDI, AVD

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Schedule](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/schedule.md))

An object of type Schedule representing the target scheduler job.

To obtain the object, use the Get-RASSchedule command.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Schedule](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/schedule.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASSchedule "My Schedule" -ObjType RDS

Removes the Schedule property specified by name. To remove a Schedule property from a specific site, specify the -SiteId parameter.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASSchedule -Id 10 -ObjType RDS

Removes the Schedule property specified by ID. To obtain the group ID, use the Get-RASSchedule cmdlet.\
\*\*---------- EXAMPLE 3 ----------

Get-RASSchedule -Id 10 | Remove-RASSchedule

Removes the Schedule property, which is identified by the object obtained from the pipeline output.

## RELATED LINKS

* [New-RASSchedule](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasschedule.md)
* [Set-RASSchedule](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasschedule.md)
* [Get-RASSchedule](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasschedule.md)
* [Get-RASScheduleMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasschedulemessage.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasschedule.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
